# Translation Change Feed

```
/api/translation-feed?revision={lastUpdatedTime}
```

The feed contains notifications about translation update for different entities.

`revision`- Unix time stamp seconds of the moment, from which you want to get recovery. Can be `0` for initial connection.

{% hint style="warning" %}
The stream connection is rate-limited and there can be only 1 active connection at a time.
{% endhint %}

Rate limit configuration is the following:

* 5 connections per 5 minutes

## Message Format

## The Marlin.SportsbetApi.Models.NotifiableEntityViewModel object

```json
{"openapi":"3.0.4","info":{"title":"[T1159-STAGE] Odds88 API","version":"v1"},"components":{"schemas":{"Marlin.SportsbetApi.Models.NotifiableEntityViewModel":{"required":["dependentEntities","id","type"],"type":"object","properties":{"id":{"type":"integer","description":"ID of the entity, that had translation change.","format":"int64"},"type":{"type":"integer","description":"Type of the entity, that had translation change.","format":"int32"},"dependentEntities":{"type":"array","items":{"$ref":"#/components/schemas/Marlin.SportsbetApi.Models.NotifiableEntityViewModel"},"description":"Dependent sub-entities, in case of translation change affecting them instead.","nullable":true},"lastUpdatedTime":{"type":"integer","description":"Timestamp of the last update.","format":"int64","nullable":true}},"additionalProperties":false,"description":"Notification about translation modification for particular entity type."}}}}
```

You will receive a message that contains the ID of the entity, which translation changed and the type of this entity from following **enumeration**:

0 = Sport

1  = Location

2 = League

3 = Competitor

4 = Market

5 = Selection

6 = Event


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/odds88-client-api/odds88-feeds/translation-change-feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
